- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cp_mgmt_run_script – Executes the script on a given list of targets

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Executes the script on a given list of targets.

- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
args string |  | Script arguments.
comments string |  | Comments string.
script string |  | Script body.
script_name string |  | Script name.
targets list |  | On what targets to execute this command. Targets may be identified by their name, or object unique identifier.
version string |  | Version of checkpoint. If not given one, the latest version taken.
wait_for_task boolean | Choices: no yes ← | Wait for the task to end. Such as publish task.

## Examples

    - name: run-script
      cp_mgmt_run_script:
        script: ls -l /
        script_name: 'Script Example: List files under / dir'
        targets:
        - corporate-gateway

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_run_script dictionary | always. | The checkpoint run-script output.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.